build:
  image: registry.gitlab.com/misotolar/docker-archlinux:master
  stage: build
  before_script:
    - echo -e "\n[multilib]\nInclude = /etc/pacman.d/mirrorlist\n\n[archlinux-php]\nSigLevel = Never\nServer = https://archlinux-php.gitlab.io/repository\n\n[archlinux-phalcon]\nSigLevel = Never\nServer = https://archlinux-phalcon.gitlab.io/repository" >> /etc/pacman.conf
    - pacman -Suyy --noconfirm --noprogressbar
    - chown build:build . -R
  script:
    - sudo -u build -- makepkg -s --noconfirm --noprogressbar
  artifacts:
    paths:
      - "*.pkg.tar.zst"

trigger-repository-build:
  image: registry.gitlab.com/misotolar/docker-alpine:master
  stage: deploy
  variables:
    GIT_STRATEGY: none
  dependencies: []
  script:
    - curl -s -S -f -o /dev/null --request POST --form "token=$CI_JOB_TOKEN" --form ref=master https://gitlab.com/api/v4/projects/$REPOSITORY_PROJECT_ID/trigger/pipeline
  allow_failure: true
